Bug 903 - setsysfont in rc.sysinit messes up vga=2 setting
setsysfont in rc.sysinit messes up vga=2 setting
Status: CLOSED DUPLICATE of bug 156
Product: Red Hat Linux
Classification: Retired
Component: SysVinit (Show other bugs)
5.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-01-20 16:22 EST by ecashin
Modified: 2014-03-16 22:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-01-26 10:08:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ecashin 1999-01-20 16:22:29 EST
On a fresh RedHat 5.2 install, if the user edits lilo.conf
so that there is a global vga=2 rule and then runs lilo, the
VGA mode will be set to 50 lines per screen.

But in the /etc/rc.d/rc.sysinit script, the block that calls
setsysfont will kick the VGA mode back to 25 lines per
screen.

That wasn't a problem in earlier RedHat releases.
Comment 1 David Lawrence 1999-01-20 18:33:59 EST
I have verified this to be a problem on a test machine. I added vga=2
to the global settings in lilo.conf and upon rebooting the fonts
changed to the smaller size. The when setsysfont is encountered in the
rc.sysinit the font size is set back up to the default size. It also
exhibits similar behaviour with the ther bga= settings possible.I have verified this to be a problem on a test machine. I added vga=2
to the global settings in lilo.conf and upon rebooting the fonts
changed to the smaller size. The when setsysfont is encountered in the
rc.sysinit the font size is set back up to the default size. It also
exhibits similar behaviour with the ther bga= settings possible.
Comment 2 Aleksey Nogin 1999-01-25 22:13:59 EST
This is a duplicate of #156This is a duplicate of #156
Comment 3 Jeff Johnson 1999-01-26 10:08:59 EST
*** This bug has been marked as a duplicate of 156 ***

Note You need to log in before you can comment on or make changes to this bug.